JsonProcessingException (Jackson-core 2.1.1 API)
Date: 2012-11-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.core
Class JsonProcessingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.fasterxml.jackson.core.JsonProcessingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JsonGenerationException, JsonParseException

    public class JsonProcessingException

extends IOException

Intermediate base class for all problems encountered when processing (parsing, generating) JSON content that are not pure I/O problems. Regular `IOException`s will be passed through as is. Sub-class of `IOException` for convenience.

See Also:
  Serialized Form

Field Summary
`protected JsonLocation` | `_location`

Constructor Summary
`protected` | `JsonProcessingException(String msg)`
`protected` | `JsonProcessingException(String msg, JsonLocation loc)`
`protected` | `JsonProcessingException(String msg, JsonLocation loc, Throwable rootCause)`
`protected` | `JsonProcessingException(String msg, Throwable rootCause)`
`protected` | `JsonProcessingException(Throwable rootCause)`

Method Summary
`JsonLocation` | `getLocation()`
`String` | `getMessage()` Default method overridden so that we can add location information
`protected String` | `getMessageSuffix()` Accessor that sub-classes can override to append additional information right after the main message, but before source location information.
`String` | `getOriginalMessage()` Method that allows accessing the original "message" argument, without additional decorations (like location information) that overridden `getMessage()` adds.
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _location

    protected JsonLocation _location

Constructor Detail

### JsonProcessingException

    protected JsonProcessingException(String msg,
                                      JsonLocation loc,
                                      Throwable rootCause)

### JsonProcessingException

    protected JsonProcessingException(String msg)

### JsonProcessingException

    protected JsonProcessingException(String msg,
                                      JsonLocation loc)

### JsonProcessingException

    protected JsonProcessingException(String msg,
                                      Throwable rootCause)

### JsonProcessingException

    protected JsonProcessingException(Throwable rootCause)

Method Detail

### getLocation

    public JsonLocation getLocation()

### getOriginalMessage

    public String getOriginalMessage()

  Method that allows accessing the original "message" argument, without additional decorations (like location information) that overridden `getMessage()` adds.

  Since:
    2.1

### getMessageSuffix

    protected String getMessageSuffix()

  Accessor that sub-classes can override to append additional information right after the main message, but before source location information.

### getMessage

    public String getMessage()

  Default method overridden so that we can add location information

  Overrides:
    `getMessage` in class `Throwable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.